# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Catalyst/Controller.pm) perl(Catalyst/Exception.pm) perl(Catalyst/Test.pm) perl(Catalyst/View.pm) perl(Config.pm) perl(Encode.pm) perl(FindBin.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
BuildRequires: perl(Encode/JP.pm)
Name:           perl-Catalyst-View-JSON
Version:        0.30
Release:        alt1_8
Summary:        JSON view for your data
License:        GPL+ or Artistic 2.0
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Catalyst-View-JSON/
Source0:        http://search.cpan.org/CPAN/authors/id/M/MI/MIYAGAWA/Catalyst-View-JSON-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Catalyst.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(JSON/Any.pm)
BuildRequires:  perl(MRO/Compat.pm)
BuildRequires:  perl(Test/Builder/Module.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(JSON.pm)
BuildRequires:  perl(YAML.pm)
Requires:       perl(Catalyst.pm) >= 5.6
Requires:       perl(JSON/Any.pm) >= 1.15
Source44: import.info

%description
Catalyst::View::JSON is a Catalyst View handler that returns stash data in
JSON format.

%prep
%setup -q -n Catalyst-View-JSON-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes
%{perl_vendor_privlib}/*

%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.30-alt1_8
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.30-alt1_7
- update to new release by fcimport

* Tue May 29 2012 Igor Vlasenko <viy@altlinux.ru> 0.30-alt1_5
- fc import

